import { Command, CommandProps } from '@mobicoop/ddd-library';

export class DeleteConfigurationCommand extends Command {
  readonly domain: string;
  readonly key: string;

  constructor(props: CommandProps<DeleteConfigurationCommand>) {
    super(props);
    this.domain = props.domain;
    this.key = props.key;
  }
}
