// All properties that a Configuration has
export interface ConfigurationProps {
  domain: string;
  key: string;
  value: string;
}

// Properties that are needed for a Configuration creation
export interface CreateConfigurationProps {
  domain: string;
  key: string;
  value: string;
}

export interface UpdateConfigurationProps {
  value: string;
}

export enum Domain {
  AD = 'AD',
  MATCHER = 'MATCHER',
  USER = 'USER',
}
