import { DomainEvent, DomainEventProps } from '@mobicoop/ddd-library';

export class ConfigurationDeletedDomainEvent extends DomainEvent {
  readonly domain: string;
  readonly key: string;

  constructor(props: DomainEventProps<ConfigurationDeletedDomainEvent>) {
    super(props);
    this.domain = props.domain;
    this.key = props.key;
  }
}
