import { IntegrationEvent, IntegrationEventProps } from '@mobicoop/ddd-library';

export class ConfigurationDeletedIntegrationEvent extends IntegrationEvent {
  readonly domain: string;
  readonly key: string;

  constructor(
    props: IntegrationEventProps<ConfigurationDeletedIntegrationEvent>,
  ) {
    super(props);
    this.domain = props.domain;
    this.key = props.key;
  }
}
