import { IntegrationEvent, IntegrationEventProps } from '@mobicoop/ddd-library';

export class ConfigurationSetIntegrationEvent extends IntegrationEvent {
  readonly domain: string;
  readonly key: string;
  readonly value: string;

  constructor(props: IntegrationEventProps<ConfigurationSetIntegrationEvent>) {
    super(props);
    this.domain = props.domain;
    this.key = props.key;
    this.value = props.value;
  }
}
