import { DomainEvent, DomainEventProps } from '@mobicoop/ddd-library';

export class ConfigurationSetDomainEvent extends DomainEvent {
  readonly domain: string;
  readonly key: string;
  readonly value: string;

  constructor(props: DomainEventProps<ConfigurationSetDomainEvent>) {
    super(props);
    this.domain = props.domain;
    this.key = props.key;
    this.value = props.value;
  }
}
